Bug 31757 - Print reason for object class violation
Print reason for object class violation
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Listener (univention-directory-listener)
UCS 3.1
Other Linux
: P5 normal (vote)
: UCS 4.1-2-errata
Assigned To: Philipp Hahn
Arvid Requate
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-18 14:04 CEST by Janis Meybohm
Modified: 2016-07-21 15:15 CEST (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:
requate: Patch_Available+


Attachments
replication_exception_info.patch (767 bytes, patch)
2014-04-15 13:12 CEST, Arvid Requate
Details | Diff
the missing patch (561 bytes, patch)
2016-07-13 21:00 CEST, Arvid Requate
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Janis Meybohm univentionstaff 2013-06-18 14:04:21 CEST
Even with debuglevel 4 the listener does not log the reason for an object class violation:

17.06.13 16:38:42.505  LISTENER    ( ALL     ) : replication: add: uid=Administrator,cn=users,dc=xyz,dc=de
17.06.13 16:38:42.505  LISTENER    ( ERROR   ) : replication: object class violation while adding uid=Administrator,cn=users,dc=xyz,dc=de
17.06.13 16:38:42.505  LISTENER    ( INFO    ) : handler: replication (successful



The ldap.OBJECT_CLASS_VIOLATION exception should return a more detailed reason that should be logged (at least in higher debug level)
Comment 1 Arvid Requate univentionstaff 2014-04-15 13:12:03 CEST
Created attachment 5874 [details]
replication_exception_info.patch
Comment 2 Philipp Hahn univentionstaff 2016-06-06 11:50:19 CEST
r69831 | Bug #31757 repl: Improve log information

Package: univention-directory-replication
Version: 9.0.1-3.104.201606061133
Branch: ucs_4.1-0
Scope: errata4.1-2

r69841 | Bug #33594,Bug #41347,Bug #28232,Bug #30489,Bug #31757: univention-directory-logger YAML
 univention-directory-replication.yaml
Comment 3 Arvid Requate univentionstaff 2016-07-13 21:00:06 CEST
Created attachment 7800 [details]
the missing patch

While the changes for streamlining the logging code are good, I cannot see the actual issue fixed, am I missing something? I rephrased the previous patch to use the new code.
Comment 4 Philipp Hahn univentionstaff 2016-07-18 17:52:31 CEST
r71063 | Bug #31757 repl: Log object class violation

Package: univention-directory-replication
Version: 9.0.1-4.108.201607181744
Branch: ucs_4.1-0
Scope: errata4.1-2

r71076 | Bug #31757,Bug #33594 repl: YAML
 univention-directory-replication.yaml
Comment 5 Arvid Requate univentionstaff 2016-07-18 18:24:15 CEST
Code review: Ok
Advisory: Ok
Comment 6 Janek Walkenhorst univentionstaff 2016-07-21 15:15:59 CEST
<http://errata.software-univention.de/ucs/4.1/216.html>